baseurl = "https://hyteck.de/"
title = "Hyteck"
theme = "hugo-nederburg-theme"
languageCode = "en-us"
# Enable comments by entering your Disqus shortname
disqusShortname = ""
# Enable Google Analytics by entering your tracking code
googleAnalytics = ""
preserveTaxonomyNames = true

[privacy]
  # Google Analytics privacy settings - https://gohugo.io/about/hugo-and-gdpr/index.html#googleanalytics
  [privacy.googleAnalytics]
    # set to true to disable service 
    disable = true
    # set to true to meet General Data Protection Regulation (GDPR)
    anonymizeIP = true
    respectDoNotTrack = true
    useSessionStorage = true

[tracking]
  [tracking.oxitraffic]
  enabled = true
  hostname = "traffic.hyteck.de"

[params]
  # Unmark to use post folder for images. Default is static folder.
  #usepostimgfolder = true
  slogan = "Blog of Julian-Samuel Gebühr"
  description = "Blog of Julian-Samuel Gebühr" # meta description
  # You need to set author to have an author bio. If you have a writer in the markdown file it will override this.
  author = "Julian-Samuel Gebühr"
  authorLink = "https://hyteck.de/"
  bio = [
    "Business Analyst for work, Developer for fun. Activist because it's necessary. He/Him"
  ]
  copyright = [
    '&copy; 2025 CC-BY Julian-Samuel Gebühr</a> '
  ]

  email = "julian-samuel@gebuehr.net"
  oxitraffic_url = "https://traffic.hyteck.de/count.js"

  # Nav links in the side bar
[[menu.main]]
  name = "Home"
  url = "/"
  weight = 1
  
[[menu.main]]
  name = "Services"
  url = "services/"
  weight = 3

[[menu.main]]
  name = "About"
  url = "about/"
  weight = 3

[[menu.main]]
  name = "Privacy + Imprint"
  url = "imprint/"
  weight = 4

# this will also be in author bio if there is no writer.
[params.social]
  github        = "https://github.com/moan0s"
  email         = "julian-samuel@gebuehr.net"
  twitter       = "https://twitter.com/jgebuehr"
  linkedin      = "https://www.linkedin.com/in/julian-samuel-gebühr/"
  stackoverflow = "https://stackoverflow.com/users/9908321/gerjuli"
  instagram     = "https://www.instagram.com/julian_samuel_gebuehr/"
  facebook      = "https://www.facebook.com/juliansamuel.gebuhr"
  mastodon      = "https://chaos.social/@moanos"
  rss           = true
[[params.fediverse]]
  url = "https://chaos.social/@moanos"
  name = "Personal mastodon profile"

[params.hosted_on]
  src = '/img/uberspace_badge_dark.png'
  alt = 'Badge saying: Proudly hosted on asteroids'
  target = 'https://uberspace.de'

[outputs]
  home = ["HTML", "RSS"]

